SwkbdState Struct Reference

Software keyboard parameter structure, it shouldn't be modified directly. More...

`#include <swkbd.h>`

## Data Fields

int | type
int | num_buttons_m1
int | valid_input
int | password_mode
int | is_parental_screen
int | darken_top_screen
u32 | filter_flags
u32 | save_state_flags
u16 | max_text_len
u16 | dict_word_count
u16 | max_digits
u16 | button_text [3][SWKBD_MAX_BUTTON_TEXT_LEN+1]
u16 | numpad_keys [2]
u16 | hint_text [SWKBD_MAX_HINT_TEXT_LEN+1]
bool | predictive_input
bool | multiline
bool | fixed_width
bool | allow_home
bool | allow_reset
bool | allow_power
bool | unknown
bool | default_qwerty
bool | button_submits_text [4]
u16 | language
int | initial_text_offset
int | dict_offset
int | initial_status_offset
int | initial_learning_offset
size_t | shared_memory_size
u32 | version
SwkbdResult | result
int | status_offset
int | learning_offset
int | text_offset
u16 | text_length
int | callback_result
u16 | callback_msg [SWKBD_MAX_CALLBACK_MSG_LEN+1]
bool | skip_at_check
union {
u8 reserved [171]
SwkbdExtra extra
}; |

## Detailed Description

Software keyboard parameter structure, it shouldn't be modified directly.

Examples
  input/software-keyboard/source/main.c.

The documentation for this struct was generated from the following file:

- include/3ds/applets/swkbd.h